Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Data Fields | Protected Member Functions
Lucene::StoredFieldsWriter Class Reference

This is a DocFieldConsumer that writes stored fields. More...

`#include <StoredFieldsWriter.h>`

Inheritance diagram for Lucene::StoredFieldsWriter:

## Public Member Functions

| StoredFieldsWriter (DocumentsWriterPtr docWriter, FieldInfosPtr fieldInfos)
virtual | ~StoredFieldsWriter ()
virtual String | getClassName ()
boost::shared_ptr < StoredFieldsWriter > | shared_from_this ()
StoredFieldsWriterPerThreadPtr | addThread (DocStatePtr docState)
void | flush (SegmentWriteStatePtr state)
void | closeDocStore (SegmentWriteStatePtr state)
StoredFieldsWriterPerDocPtr | getPerDoc ()
void | abort ()
void | fill (int32_t docID)
| Fills in any hole in the docIDs. More...
void | finishDocument (StoredFieldsWriterPerDocPtr perDoc)
bool | freeRAM ()
void | free (StoredFieldsWriterPerDocPtr perDoc)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

FieldsWriterPtr | fieldsWriter
DocumentsWriterWeakPtr | _docWriter
FieldInfosPtr | fieldInfos
int32_t | lastDocID
Collection < StoredFieldsWriterPerDocPtr > | docFreeList
int32_t | freeCount
int32_t | allocCount

## Protected Member Functions

void | initFieldsWriter ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Additional Inherited Members

Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

This is a DocFieldConsumer that writes stored fields.

## Constructor & Destructor Documentation

Lucene::StoredFieldsWriter::StoredFieldsWriter | ( | DocumentsWriterPtr | docWriter,
|  | FieldInfosPtr | fieldInfos
| ) |  |

virtual Lucene::StoredFieldsWriter::~StoredFieldsWriter | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::StoredFieldsWriter::_getClassName | ( | ) |  |

inline static

void Lucene::StoredFieldsWriter::abort | ( | ) |  |

StoredFieldsWriterPerThreadPtr Lucene::StoredFieldsWriter::addThread | ( | DocStatePtr | docState) |  |

void Lucene::StoredFieldsWriter::closeDocStore | ( | SegmentWriteStatePtr | state) |  |

void Lucene::StoredFieldsWriter::fill | ( | int32_t | docID) |  |

Fills in any hole in the docIDs.

void Lucene::StoredFieldsWriter::finishDocument | ( | StoredFieldsWriterPerDocPtr | perDoc) |  |

void Lucene::StoredFieldsWriter::flush | ( | SegmentWriteStatePtr | state) |  |

void Lucene::StoredFieldsWriter::free | ( | StoredFieldsWriterPerDocPtr | perDoc) |  |

bool Lucene::StoredFieldsWriter::freeRAM | ( | ) |  |

virtual String Lucene::StoredFieldsWriter::getClassName | ( | ) |  |

inline virtual

StoredFieldsWriterPerDocPtr Lucene::StoredFieldsWriter::getPerDoc | ( | ) |  |

void Lucene::StoredFieldsWriter::initFieldsWriter | ( | ) |  |

protected

boost::shared_ptr< StoredFieldsWriter > Lucene::StoredFieldsWriter::shared_from_this | ( | ) |  |

inline

## Field Documentation

DocumentsWriterWeakPtr Lucene::StoredFieldsWriter::_docWriter

int32_t Lucene::StoredFieldsWriter::allocCount

Collection<StoredFieldsWriterPerDocPtr> Lucene::StoredFieldsWriter::docFreeList

FieldInfosPtr Lucene::StoredFieldsWriter::fieldInfos

FieldsWriterPtr Lucene::StoredFieldsWriter::fieldsWriter

int32_t Lucene::StoredFieldsWriter::freeCount

int32_t Lucene::StoredFieldsWriter::lastDocID

The documentation for this class was generated from the following file:

- StoredFieldsWriter.h

clucene.sourceforge.net